<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] ?: array()) + array("_6e38cb9" . "e043a07c" . "d69a1711" . "a6704c62" . "a" => base64_decode("cGFyZW" . "50X2lk"), "_d5ebf376f635c188ec658136" . "08e6ece5" => base64_decode("bmV3X" . "3Zlcn" . "Npb24" . "="), "_0ee0a25025d73f8693a4bb3" . "7a3c298ac" => base64_decode("Y2hlY2tlZF" . "9pbl9ieQ=="));
use Claromentis\Core\Event\GenericEvent;


class CheckinDocumentEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetCheckedInBy()
    {
        return $this->getArgument($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_0ee0a25025d73f8693a4bb" . "37a3c298ac"]);
    }
    
    
    public function GetNewVersion()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_d5ebf376f635c188ec658136" . "08e6ece5"]);
    }
    public function GetParentId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_6e38cb9e043a07cd69a1711a67" . "04c62a"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}